/*------------------------------------------------
 * styles for main page                          
 *----------------------------------------------*/

#table_title {
    font-family: Helvetica, Arial, sans-serif;
    font-weight: bold;
    font-size: large;
    padding-bottom: 12px;
}
#header {
    display: flex;
    align-items: center;
    background-color: #151515;
    font-family: Arial;
    font-size: large;
    font-style: bold;
    padding: 4px;
    border: 1px solid #eee;
    color: #F2F2F2;
}
#hdr_icon {
    text-align: center;
    padding-top: 3px;
    padding-left: 3px;
    height: 40px;
    width: 40px;
}
#hdr_title {
    padding-left: 10px;
}
#hdr_menu {
    text-align: center;
    height: 30px;
    width: 30px;
    margin-left: auto;
}
#hdr_padright {
    padding-right: 8px;
}
#hdr_menu:hover {
    fill: grey;
    background-color: grey;
}
#row_cont {
    display: flex;
    /*flex-direction: row;*/
    /*display: inline-block;*/
}
#genuml_code {
    height: 60em;
    width: 40em;
}
.CodeMirror {
    height: 60em;
    width: 40em;
}
#uml_diag_cell {
    flex: 1;
    vertical-align: top;
    text-align: center;
    padding: 10px;
}

/*------------------------------------------------
 * styles for UML sequence diagram systems
 *----------------------------------------------*/

#diagram_table {
    border-spacing: 0;
    display: inline-table;
    margin: auto;
}
.system {
    text-align: center;
    border-radius: 10px;
    background: #28579D;
    color: white;
    font-family: Helvetica, Arial, sans-serif;
    font-weight: bold;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    border-color: black;
    border-style: solid;
    border-width: 1px;
}
.fake_system {
    borders: none;
    padding: 0;
}
.vert_dash_right {
    width: 1px;
    line-height: 0px;    
    border-right: 1px dashed;
    padding-top: 5px;	  
}
.vert_dash_left {
    width: 1px;
    line-height: 0px;    
    padding-top: 5px;
}
.col_spacer {
    line-height: 0px;
    padding-top: 5px;
}

/*------------------------------------------------
 * styles for UML sequence diagram arrows
 *----------------------------------------------*/

.arwhead {
    borders: none;
    text-align: center;
    line-height: 0px;        
    margin: 0;
    padding: 0;
}
.arwhead_top {
    vertical-align: bottom;
}
.arwhead_bot {
    vertical-align: top;
}
.arwhead_right {
    border-right: 1px dashed;
}
.arwtail {
    margin: 0;
    padding: 0;
    text-align: center;
    font-size: x-small;
    font-family: Helvetica, Arial, sans-serif;
}
.arwtail_solid {
    border-bottom: 1px solid;
}
.arwtail_dashed {
    border-bottom: 1px dashed;
}
.arwtail_right {
    border-right: 1px dashed;
}
.td_spacer {
    width: 10px;
    height: 10px;
    border: 0;
    margin: 0;
    padding: 0;
}
.image {
    margin: 0;
    text-align: center;
}

/*------------------------------------------------
 * styles for UML sequence diagram notes
 *----------------------------------------------*/

.note {
    display: inline-block;
    white-space: nowrap;
    padding: 4px;
    background-color: #FFFACD;
    position: relative;
    font-family: Helvetica, Arial, sans-serif;
    font-size: x-small;
    border: 1px solid #AAAAAA;
}
.note::after {
    overflow: hidden;
    content: "";
    position: absolute;
    top: -5px;
    right: -5px;
    width: 9px;
    height: 8px;
    transform: rotate(45deg);
    background-color: #FFFFFF;
    border-bottom: 1px solid#AAAAAA;
}
.note_fold {
    position: absolute;
    overflow: hidden;
    top: -1px;
    right: -1px;
    width: 5px;
    height: 5px;
    border: 1px solid #AAAAAA;
}
.note_td {
    padding-top: 5px;
    padding-bottom: 5px;
    white-space: nowrap;
}

/*------------------------------------------------
 * styles for UML sequence diagram loops
 *----------------------------------------------*/

.loop_label {
    margin: 0;
    padding: 0;
    text-align: center;
    font-size: x-small;
    font-family: Helvetica, Arial, sans-serif;
}

.loop_left {
    width: 1px;
    padding-top: 5px;
}
.loop_top_solid {
    border-top: 1px solid;
}
.loop_top_dashed {
    border-top: 1px dashed;
}
.loop_bot_solid {
    border-bottom: 1px solid;
}
.loop_bot_dashed {
    border-bottom: 1px dashed;
}
.loop_mid {
    padding-top: 5px;
    border-bottom: none;
    border-left: none;
}
.loop_mid_top_solid {
    border-top: 1px solid;
    border-right: 1px solid;
    border-top-right-radius: 5px;
}
.loop_mid_bot_solid {
    border-bottom: 1px solid;
    border-right: 1px solid;
    border-bottom-right-radius: 5px;
}
.loop_mid_top_dashed {
    border-top: 1px dashed;
    border-right: 1px dashed;
    border-top-right-radius: 5px;
}
.loop_mid_bot_dashed {
    border-bottom: 1px dashed;
    border-right: 1px dashed;
    border-bottom-right-radius: 5px;
}
.loop_bot {
    borders: none;
    padding-top: 5px;
}

/*------------------------------------------------
 * styles for UML sequence frame
 *----------------------------------------------*/

.frame_top {
    border-top: 1px solid;
}
.frame_bot {
    border-bottom: 1px solid;
}
.frame_left {
    border-left: 1px solid;
}
.frame_right {
    border-right: 1px solid;
}
.frame_label_td {
    width: 7;
    height: 0;
    margin: 0;
    padding: 0;
    white-space: nowrap;
    border-top: 1px solid black;
    border-left: 1px solid black;
    text-align: left;
}
.frame_label {
    display: inline-block;
    white-space: nowrap;
    padding: 4px;
    background-color: white;
    position: relative;
    top: -1px;
    left: -1px;
    font-family: Helvetica, Arial, sans-serif;
    font-size: x-small;
    border: 1px solid black;
}
.frame_label::after {
    overflow: hidden;
    content: "";
    position: absolute;
    bottom: -5px;
    right: -5px;
    width: 8px;
    height: 9px;
    transform: rotate(45deg);
    background-color: white;
    border-left: 1px solid black;
}
.cond_dashed {
    margin: 0;
    padding: 0;
    border-bottom: 2px dashed #909090;
}
.cond {
    margin: 0;
    padding-top: 5px;
    text-align: center;
    font-size: x-small;
    font-family: Helvetica, Arial, sans-serif;
    font-style: italic;
    color: #5B5B5B;
}
